Critical Update for Magento 2.x PSiGate Module Customers. Click here to know more.

Magento 2 PSiGate Module Critical Update

A critical bug has been identified in the PSiGate Module for Magento 2.x when the module is in debug mode.
All Magento 2.x PSiGate Module customers are requested to kindly raise a support ticket with your order number and Magento 2.x version to get the updated version of the PSiGate Payment Module along with the details on how to update the module asap.

The team at PSiGate and Magento Marketplace have also been informed of this bug and are closely monitoring it.
It has always been our mission to ensure that the best quality software is made available to our customers.
Please note that, this update is applicable only for Magento 2.x customers who have purchased the module before 15 Dec, 2017
This update is critical and your urgent action is requested.


Thank you for taking action.